package domain

type AlibabaHmMarketingItempoolQueryactivityLimitInfo struct {
	/*
	   每人活动期间总限购     */
	UserLimitCnt *int64 `json:"user_limit_cnt,omitempty" `

	/*
	   每人每日限购     */
	UserDailyLimitCnt *int64 `json:"user_daily_limit_cnt,omitempty" `

	/*
	   活动每日总限购     */
	DailyLimitCnt *int64 `json:"daily_limit_cnt,omitempty" `
}

func (s *AlibabaHmMarketingItempoolQueryactivityLimitInfo) SetUserLimitCnt(v int64) *AlibabaHmMarketingItempoolQueryactivityLimitInfo {
	s.UserLimitCnt = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityLimitInfo) SetUserDailyLimitCnt(v int64) *AlibabaHmMarketingItempoolQueryactivityLimitInfo {
	s.UserDailyLimitCnt = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityLimitInfo) SetDailyLimitCnt(v int64) *AlibabaHmMarketingItempoolQueryactivityLimitInfo {
	s.DailyLimitCnt = &v
	return s
}
